* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: url('https://source.unsplash.com/1600x900/?weather') no-repeat;
    overflow:hidden;
    background-size:cover;
    background-position: top center;
    font-family: Arial, Helvetica, sans-serif;
}

.app-main {
    width: 50vh;
    margin: 100px auto;
    background-color: rgb(230, 184, 184, 0.4);
    padding: 20px;
    text-align: center;
    border-radius: 10px;
    padding-top: 10px;
}

.app-main > * {
    margin-bottom: 20px;
}

.input-box {
    width: 100%;
    background-color: rgba(255,255,255,0.3);
    border: none;
    outline: none;
    color: #582233;
    font-size: 1.2rem;
    height: 50px;
    border-radius: 5px;
    padding: 0 10px;
    text-align: center;
}

.input-box:focus {
    background-color: rgba(255,255,255);
}


.weather-body {
    display: none;
    color: #582233;
    padding-top: 5px;
    padding: 20px;
    line-height: 2rem;
    border-radius: 10px;
    background-color: rgba(255,255,255,0.6);
    height: 50vh;
}

.location-details {
    font-weight: bold;
}


.weather-status {
    padding: 1px;
}

.temp {
    font-size: 50pt;
    font-weight: 700;
    margin: 20px 0;
    text-shadow: 2px 4px rgba(0,0,0,0.3);
}

div #weather.weather{
    margin: -30px;
    padding: 5px;
}


.weather-status{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.weather-status .icon-name{
    background: #7e7e7e5e;
    border-radius:20px;
    width: fit-content;   
}



.min-max, .weather {
    margin: 5px;
    font-size: 12pt;
    font-weight: 600;
}
.head{
    text-align: center;
    
    padding: 10px;
    margin: 0;
    color:whitesmoke;
    font-size: 50px;
    text-shadow: 0 0 3px midnightblue, 0 0 5px black; 
    border: black;
    border-width: 5px;
}
img{
    text-align: center;
    max-width: 100%;
    border-radius: 10px;

}
h1 .head{
    text-shadow: 2px 4px rgba(0,0,0,0.3);


}